## glance 23.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=3.1.1 # Apache-2.0
defusedxml>=0.6.0 # PSF

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
eventlet>=0.25.1 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
WebOb>=1.8.1 # MIT
sqlparse>=0.2.2 # BSD
alembic>=0.9.6 # MIT
httplib2>=0.9.1 # MIT
oslo.config>=8.1.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
stevedore!=3.0.0,>=1.20.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
taskflow>=4.0.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=5.1.0 # Apache-2.0
WSME>=0.8.0 # MIT
PrettyTable>=0.7.1 # BSD

# For paste.util.template used in keystone.common.template
Paste>=2.0.2 # MIT

jsonschema>=3.2.0 # MIT
python-keystoneclient>=3.8.0 # Apache-2.0
pyOpenSSL>=17.1.0 # Apache-2.0
# Required by openstack.common libraries
six>=1.11.0 # MIT

oslo.db>=5.0.0 # Apache-2.0
oslo.i18n>=5.0.0 # Apache-2.0
oslo.limit>=1.0.0 # Apache-2.0
oslo.log>=4.5.0 # Apache-2.0
oslo.messaging>=5.29.0,!=9.0.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.policy>=3.8.1 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0

# Glance Store
glance-store>=2.3.0 # Apache-2.0


debtcollector>=1.19.0 # Apache-2.0
cryptography>=2.6.1 # BSD/Apache-2.0
cursive>=0.2.1 # Apache-2.0

# timeutils
iso8601>=0.1.11 # MIT

os-win>=4.0.1 # Apache-2.0

castellan>=0.17.0 # Apache-2.0

=== debian/changelog ===
glance (2:23.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 23.x.
  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 15:13:30 +0000

glance (2:23.0.0~b3+git2021091316.d49eaa04c-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/p/add-root-tar-support.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Sep 2021 16:23:37 -0400

glance (2:23.0.0~b2+git2021072116.62334aa4-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:40:48 -0400

glance (2:22.0.0+git2021061112.4f20e500-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:22 +0000

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 bandit,
 crudini,
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-boto3 (>= 1.9.199),
 python3-castellan (>= 0.17.0),
 python3-cinderclient (>= 1:4.1.0),
 python3-cryptography (>= 2.6.1),
 python3-cursive (>= 0.2.1),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.19.0),
 python3-defusedxml (>= 0.6.0),
 python3-eventlet (>= 0.25.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 2.3.0),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-brick (>= 3.1.0),
 python3-os-testr (>= 1.0.0),
 python3-os-win (>= 4.0.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 5.0.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.limit (>= 1.0.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8.4),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.7.6),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.3.1),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.11.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.2.18+ds1-2ubuntu2~),
 python3-sqlparse (>= 0.2.2),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 4.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.1),
 python3-wsme (>= 0.8.0),
 python3-xattr (>= 0.9.2),
 qemu-utils,
 subunit,
Standards-Version: 4.5.0
XS-Python-Version: >= 2.7
Homepage: https://launchpad.net/glance
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/glance
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/glance
Testsuite: autopkgtest-pkg-python

Package: glance
Architecture: all
Section: python
Depends:
 glance-api (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Section: python
Depends:
 python3-glance (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance API server.

Package: glance-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

Package: python-glance-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance
Architecture: all
Section: python
Depends:
 glance-common (= ${binary:Version}),
 python3-alembic (>= 0.9.6),
 python3-castellan (>= 0.17.0),
 python3-cryptography (>= 2.6.1),
 python3-cursive (>= 0.2.1),
 python3-debtcollector (>= 1.19.0),
 python3-defusedxml (>= 0.6.0),
 python3-eventlet (>= 0.25.1),
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 2.3.0),
 python3-glanceclient,
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-migrate (>= 0.11.0),
 python3-openssl (>= 17.1.0),
 python3-os-win (>= 4.0.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 5.0.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.limit (>= 1.0.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 3.1.1),
 python3-prettytable (>= 0.7.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.2.18+ds1-2ubuntu2~),
 python3-sqlparse (>= 0.2.2),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 4.0.0),
 python3-webob (>= 1:1.8.1),
 python3-wsme (>= 0.8.0),
 qemu-utils,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-rados,
 python3-rbd,
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack Image Registry and Delivery Service - Python 3 library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3 libraries.

## glance 23.1.0

=== debian/changelog ===
glance (2:23.1.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New stable point release for OpenStack Xena (LP: #2011714).
  * d/p/CVE-2022-47951.patch: Dropped. Fixed in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Mar 2023 09:15:35 -0400

glance (2:23.0.0-0ubuntu2~cloud1) focal-xena; urgency=medium

  * SECURITY UPDATE: Arbitrary file access
    - debian/patches/CVE-2022-47951.patch: Enforce image safety
      during image_conversion.
    - CVE-2022-47951

 -- Corey Bryant <corey.bryant@canonical.com>  Sun, 29 Jan 2023 10:39:58 -0500

glance (2:23.0.0-0ubuntu2~cloud0) focal-xena; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 08 Mar 2022 21:34:36 +0000

glance (2:23.0.0-0ubuntu2) impish; urgency=medium

  * d/gbp.conf: Create stable/xena branch.
  * d/control, d/rules: Bump debhelper compat to 12 (LP: #1960636).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Mar 2022 14:58:52 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
  python3-all,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/glance/ glance-(23\.\d.*)\.tar\.gz

## glance 24.0.0

=== debian/changelog ===
glance (2:24.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 24.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 16:36:07 -0400

glance (2:24.0.0~rc1+git2022030311.d4119be05-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py10-failure.patch: Dropped. Fixed in upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 11:12:09 -0500

glance (2:23.0.0+git2022011216.502fa0ffc-0ubuntu1) jammy; urgency=medium

  * d/glance-common.install, d/glance-api.init.in: Install
    glance-image-import.conf.sample and add --config-dir=/etc/glance/
    to glance-api init script (LP: #1955022).
  * New upstream snapshot for OpenStack Yoga.
  * d/control, d/rules: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 16:47:24 -0500

glance (2:23.0.0+git2021120811.4ee7799aa-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/p/skip-py10-failure.patch: Skip test that is raising different
    exception with Python 3.10.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 11:37:41 -0500

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-glance/usr/etc
	dh_install -Xrootwrap.conf
	dh_missing --fail-missing -Xrootwrap.conf

	crudini --merge $(CURDIR)/debian/glance-common/etc/glance/glance-api.conf \
		< $(CURDIR)/debian/glance-api.conf.defaults

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2 "^glance.tests.unit.*"
endif

override_dh_auto_build:
	dh_auto_build
	mkdir -p doc/build/man doc/build/html
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build glance.sqlite .testrepository
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/glance/ glance-(24\.\d.*)\.tar\.gz

## glance 24.1.0

=== debian/changelog ===
glance (2:24.1.0-0ubuntu1.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file access
    - debian/patches/CVE-2022-47951.patch: Enforce image safety
      during image_conversion.
    - CVE-2022-47951

 -- Corey Bryant <corey.bryant@canonical.com>  Sun, 29 Jan 2023 10:35:56 -0500

glance (2:24.1.0-0ubuntu1) jammy; urgency=medium

  * d/gbp.conf: Create stable/yoga branch.
  * New stable point release for OpenStack Yoga (LP: #1980369).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Jul 2022 10:43:59 -0400

## glance 24.2.0

=== debian/changelog ===
glance (2:24.2.0-0ubuntu1) jammy; urgency=medium

  * New stable point release for OpenStack Yoga (LP: #2011713).
  * d/p/CVE-2022-47951.patch: Dropped. Fixed in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Mar 2023 09:00:42 -0400

## glance 24.2.1

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 defusedxml>=0.6.0 # PSF
 
 # < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
-SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
+SQLAlchemy>=1.3.14 # MIT
 eventlet>=0.25.1 # MIT
 PasteDeploy>=1.5.0 # MIT
 Routes>=2.3.1 # MIT
@@ -33,12 +33,10 @@
 jsonschema>=3.2.0 # MIT
 python-keystoneclient>=3.8.0 # Apache-2.0
 pyOpenSSL>=17.1.0 # Apache-2.0
-# Required by openstack.common libraries
-six>=1.11.0 # MIT
 
 oslo.db>=5.0.0 # Apache-2.0
 oslo.i18n>=5.0.0 # Apache-2.0
-oslo.limit>=1.0.0 # Apache-2.0
+oslo.limit>=1.4.0 # Apache-2.0
 oslo.log>=4.5.0 # Apache-2.0
 oslo.messaging>=5.29.0,!=9.0.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0

=== debian/changelog ===
glance (2:24.2.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patch applied upstream:
    - CVE-2022-47951-Enforce_image_safety_during_image_conversion.patch
  * Refreshed / rebased patches:
    - CVE-2024-32498_1_Limit_CaptureRegion_sizes_in_format_inspector_for_VMDK_and_VHDX.patch
    - CVE-2024-32498_2_Support_Stream_Optimized_VMDKs.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Fri, 07 Nov 2025 09:25:54 +0000

glance (2:24.1.0-2+deb11u2) UNRELEASED; urgency=medium

  * CVE-2022-47951: vulnerability in VMDK image processing. By supplying a
    specially created VMDK flat image which references a specific backing file
    path, an authenticated user may convince systems to return a copy of that
    file's contents from the server resulting in unauthorized access to
    potentially sensitive data. Added upstream patch:
    CVE-2022-47951-Enforce_image_safety_during_image_conversion.patch
    (Closes: #1029563).
  * CVE-2024-32498: Arbitrary file access through custom QCOW2 external data.
    Add upstream patch (Closes: #1074761):
    - CVE-2024-32498_1_Limit_CaptureRegion_sizes_in_format_inspector_for_VMDK_and_VHDX.patch
    - CVE-2024-32498_2_Support_Stream_Optimized_VMDKs.patch
    - CVE-2024-32498_3_1_glance-stable-2023.1.patch
    - CVE-2024-32498_3_2_glance-stable-2023.1.patch
    - CVE-2024-32498_3_3_glance-stable-2023.1.patch
    - CVE-2024-32498_3_4_glance-stable-2023.1.patch
    - CVE-2024-32498_3_5_glance-stable-2023.1.patch
    - CVE-2024-32498_3_6_glance-stable-2023.1.patch
    - CVE-2024-32498_3_7_glance-stable-2023.1.patch
    - CVE-2024-32498_4_add-missing-disk-format-props.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Jun 2024 11:04:34 +0200

glance (2:24.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Aug 2022 15:24:05 +0200

glance (2:24.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 17:02:17 +0200

glance (2:24.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:47:35 +0100

glance (2:24.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2022 17:27:52 +0100

glance (2:23.0.0-2) unstable; urgency=medium

  * Switch build-depends from python3-boto to python3-boto3.
  * Blacklist 2 broken tests:
    - test_property_protection_with_missing_operation
    - test_property_protection_with_misspelt_operation

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 Dec 2021 21:14:33 +0100

glance (2:23.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:00:03 +0200

glance (2:23.0.0~rc2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix generating config files.
  * Fix 00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 23:43:27 +0200

glance (2:23.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed min version of oslo.policy.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Sep 2021 15:54:44 +0200

glance (2:23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 16:30:31 +0200

=== debian/control ===
Source: glance
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 curl,
 procps,
 python3-alembic,
 python3-babel,
 python3-boto3,
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-ddt,
 python3-debtcollector,
 python3-defusedxml,
 python3-elasticsearch,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-glance-store,
 python3-hacking,
 python3-httplib2,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-migrate,
 python3-monotonic,
 python3-mysqldb,
 python3-openssl,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.limit (>= 1.4.0),
 python3-oslo.log (>= 4.6.0),
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.reports,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslotest,
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-sendfile,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-sqlparse,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-taskflow,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-wsme,
 python3-xattr,
 qemu-utils,
 sqlite3,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/glance
Vcs-Git: https://salsa.debian.org/openstack-team/services/glance.git
Homepage: https://github.com/openstack/glance

Package: glance
Architecture: all
Depends:
 glance-api (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ceph,
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Depends:
 adduser,
 debconf,
 glance-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-glanceclient,
Description: OpenStack Image Registry and Delivery Service - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance API server.

Package: glance-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-glance (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Registry and Delivery Service - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains common files for Glance.

Package: glance-doc
Architecture: all
Section: doc
Breaks:
 python-glance-doc,
Replaces:
 python-glance-doc,
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance
Architecture: all
Section: python
Depends:
 alembic,
 libxml2-dev,
 libxslt-dev,
 procps,
 python3-alembic,
 python3-boto3,
 python3-castellan,
 python3-cinderclient,
 python3-cryptography,
 python3-cursive,
 python3-debtcollector,
 python3-defusedxml,
 python3-eventlet,
 python3-futurist,
 python3-glance-store,
 python3-httplib2,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-migrate,
 python3-monotonic,
 python3-mysqldb,
 python3-openssl,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.limit (>= 1.4.0),
 python3-oslo.log (>= 4.6.0),
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.reports,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-prettytable,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-sqlalchemy,
 python3-sqlparse,
 python3-stevedore,
 python3-swiftclient,
 python3-taskflow,
 python3-webob,
 python3-wsme,
 python3-xattr,
 qemu-utils,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog | grep Date: | sed 's/Date: //')
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D today="$(BUILD_DATE)"
SPHINXOPTS += -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -rf doc/build
	rm -rf glance.sqlite
	rm -f debian/glance-common.config debian/glance-common.postinst debian/glance-common.postrm debian/glance-api.config debian/glance-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf build

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm glance-common.postrm
	pkgos-merge-templates glance-api glance endpoint
	pkgos-merge-templates glance-common glance db rabbit ksat

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Blacklist:
	# glance.tests.unit.v2.test_tasks_resource.TestTasksController.test_create_with_live_time https://bugs.launchpad.net/glance/+bug/1868455
	pkgos-dh_auto_test --no-py2 'glance\.tests\.unit\.(?!.*test_wsgi_ipv6\.IPv6ServerTest\.test_evnetlet_no_dnspython.*|.*async_\.flows\.test_ovf_process\.TestOvfProcessTask\.test_extract_ova_no_disk.*|.*test_tasks_resource\.TestTasksController\.test_create_with_live_time.*|.*common\.test_property_utils\.TestPropertyRulesWithRoles\.test_property_protection_with_missing_operation.*|.*common\.test_property_utils\.TestPropertyRulesWithRoles\.test_property_protection_with_misspelt_operation.*)'
endif

	# Generate all config files
	mkdir -p $(CURDIR)/debian/glance-common/usr/share/glance-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf \
		--namespace castellan.config \
		--namespace glance.api \
		--namespace glance.store \
		--namespace glance.multi_store \
		--namespace oslo.concurrency \
		--namespace oslo.messaging \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.healthcheck \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.reports

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf keystone_authtoken glance

	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf glance_store filesystem_store_datadir /var/lib/glance/images
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf oslo_concurrency lock_path /var/lock/glance
	# Do not persist build time CPU numbers. See https://bugs.debian.org/807475
	sed -i 's|^[ \t#]*workers[ \t]*=[ \t].*|#workers = 2|' $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-cache.conf \
		--namespace glance.cache \
		--namespace glance.store \
		--namespace oslo.log \
		--namespace oslo.policy
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-manage.conf \
		--namespace glance.manage \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-scrubber.conf \
		--namespace glance.scrubber \
		--namespace glance.store \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log \
		--namespace oslo.policy
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-image-import.conf \
		--namespace glance

	mkdir -p $(CURDIR)/debian/glance-common/etc/glance/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/glance-common/etc/glance/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace glance

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/glance-common/etc/glance/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance.conf oslo_policy policy_dirs /etc/glance/policy.d

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing -Xusr/bin/glance-replicator

	install -D -m 0664 etc/glance-swift.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-swift.conf
	install -D -m 0664 etc/ovf-metadata.json.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/ovf-metadata.json
	install -D -m 0664 etc/property-protections-policies.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/property-protections-policies.conf
	install -D -m 0664 etc/property-protections-roles.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/property-protections-roles.conf

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/glance-doc/usr/share/doc/glance-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## glance 25.0.0

=== debian/changelog ===
glance (2:25.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 25.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 14:33:02 -0400

glance (2:25.0.0~b3+git2022091212.d7db4e562-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 12:42:51 -0400

glance (2:24.1.0+git2022071413.8140abe63-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/glance-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 13:44:15 -0400

glance (2:24.1.0+git2022070708.be9da314e-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Jul 2022 08:47:28 -0400

glance (2:24.0.0+git2022060209.6bd1d14a5-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 09:10:12 -0400

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 bandit,
 crudini,
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-boto3 (>= 1.9.199),
 python3-castellan (>= 0.17.0),
 python3-cinderclient (>= 1:4.1.0),
 python3-cryptography (>= 2.6.1),
 python3-cursive (>= 0.2.1),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.19.0),
 python3-defusedxml (>= 0.6.0),
 python3-eventlet (>= 0.25.1),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 2.3.0),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-brick (>= 3.1.0),
 python3-os-testr (>= 1.0.0),
 python3-os-win (>= 4.0.1),
 python3-oslo.concurrency (>= 4.5.1),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 5.0.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.limit (>= 1.6.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8.4),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.7.6),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.3.1),
 python3-sendfile (>= 2.0.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.3.14),
 python3-sqlparse (>= 0.2.2),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 4.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.1),
 python3-wsme (>= 0.8.0),
 python3-xattr (>= 0.9.2),
 qemu-utils,
 subunit,
Standards-Version: 4.6.1
XS-Python-Version: >= 2.7
Homepage: https://launchpad.net/glance
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/glance
Testsuite: autopkgtest-pkg-python

Package: glance
Architecture: all
Section: python
Depends:
 glance-api (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Section: python
Depends:
 python3-glance (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance API server.

Package: glance-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

Package: python-glance-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance
Architecture: all
Section: python
Depends:
 glance-common (= ${binary:Version}),
 python3-alembic (>= 0.9.6),
 python3-castellan (>= 0.17.0),
 python3-cryptography (>= 2.6.1),
 python3-cursive (>= 0.2.1),
 python3-debtcollector (>= 1.19.0),
 python3-defusedxml (>= 0.6.0),
 python3-eventlet (>= 0.25.1),
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 2.3.0),
 python3-glanceclient,
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-migrate (>= 0.11.0),
 python3-openssl (>= 17.1.0),
 python3-os-win (>= 4.0.1),
 python3-oslo.concurrency (>= 4.5.1),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 5.0.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.limit (>= 1.6.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 3.1.1),
 python3-prettytable (>= 0.7.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.3.1),
 python3-sqlalchemy (>= 1.3.14),
 python3-sqlparse (>= 0.2.2),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 4.0.0),
 python3-webob (>= 1:1.8.1),
 python3-wsme (>= 0.8.0),
 qemu-utils,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-rados,
 python3-rbd,
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack Image Registry and Delivery Service - Python 3 library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3 libraries.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/glance/ glance-(25\.\d.*)\.tar\.gz
